OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESSelect

# IGESSelect_Activator Class Reference

Performs Actions specific to IGESSelect, i.e. creation of
IGES Selections and Dispatches, plus dumping specific to IGES
.

`#include <IGESSelect_Activator.hxx>`

Inheritance diagram for IGESSelect_Activator:

[legend]

## Public Member Functions
Standard_EXPORT | IGESSelect_Activator ()
Standard_EXPORT IFSelect_ReturnStatus | Do (const Standard_Integer number, const Handle(IFSelect_SessionPilot)&pilot)
| Executes a Command Line for IGESSelect .
Standard_EXPORT Standard_CString | Help (const Standard_Integer number) const
| Sends a short help message for IGESSelect commands .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_Activator::IGESSelect_Activator | ( |  | ) |

## Member Function Documentation

Standard_EXPORT IFSelect_ReturnStatus IGESSelect_Activator::Do | ( | const Standard_Integer | number,
|  | const Handle(IFSelect_SessionPilot)& | pilot
| ) | `[virtual]`

| Implements IFSelect_Activator.

Standard_EXPORT const IGESSelect_Activator::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_Activator.

Standard_EXPORT Standard_CString IGESSelect_Activator::Help | ( | const Standard_Integer | number | ) | const`[virtual]`

| Implements IFSelect_Activator.

The documentation for this class was generated from the following file:

- IGESSelect_Activator.hxx